## PyFoam-0.6.10.tar.gz

=== Makefile ===
all: docu sdist rpm

docuold:
#	epydoc --graph=all --output=doc PyFoam --parse-only -v --include-log --css=grayscale
#	epydoc --output=doc PyFoam --parse-only -v --include-log --css=grayscale
	epydoc --output=doc.old PyFoam --introspect-only -v --include-log --inheritance=grouped --show-imports --include-log --graph=umlclasstree

docu:
	sphinx-apidoc --separate -o doc/api PyFoam
	(cd doc; make html)

docset: docu
	doc2dash -I index.html -n PyFoam doc/_build/html

sdist: docu ReleaseNotes.md ReleaseNotes.html
	python setup.py sdist

wheel: sdist
	python setup.py bdist_wheel --universal

rpm:
	python setup.py bdist_rpm

dpkg:
	dpkg-buildpackage
#	dpkg-buildpackage -us -uc

source-dpkg:
	dpkg-buildpackage -S

ReleaseNotes.md: ReleaseNotes
	pandoc --from=org --to=markdown ReleaseNotes -o ReleaseNotes.md

ReleaseNotes.html: ReleaseNotes
	pandoc --from=org --to=html ReleaseNotes -o ReleaseNotes.html

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build-2.7
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyFoam.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyFoam.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyFoam"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyFoam"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== examples/TestRunner/CMakeLists.txt ===
project(TestCTestRun)
cmake_minimum_required(VERSION 2.8)

enable_testing()
# include CTestConfig.cmake if present
INCLUDE(CTest)

FILE(GLOB pythonTests ./run*.py)
LIST(SORT pythonTests)

FOREACH(aTest ${pythonTests})

  execute_process(
    COMMAND ${aTest} --print-test-name
    OUTPUT_VARIABLE testName
    RESULT_VARIABLE testResult
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  execute_process(
    COMMAND ${aTest} --timeout
    OUTPUT_VARIABLE testTimeout
    RESULT_VARIABLE testResult2
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  IF(testResult OR testResult2)
    MESSAGE("Running ${aTest} failed ... not added")
  ELSE()
    MESSAGE("Adding ${aTest} as ${testName} with timeout ${testTimeout}")
    add_test(${testName} ${aTest})
    set_tests_properties (${testName} PROPERTIES TIMEOUT ${testTimeout})
  ENDIF()
ENDFOREACH(aTest)

=== debian/changelog ===
pyfoam (0.6.5-ppa1~trusty3) trusty; urgency=low

  * Add list of packages as recommended (for complete functionality)

 -- Bernhard F.W.Gschaider <bgschaid@ice-sf.at>  Mon, 01 Jun 2015 15:02:42 +0200

pyfoam (0.6.5-development2-ppa1~trusty3) trusty; urgency=low

  * Add list of packages as recommended (for complete functionality)

 -- Bernhard F.W.Gschaider <bgschaid@ice-sf.at>  Mon, 25 May 2015 18:02:42 +0200

pyfoam (0.6.5-development1-ppa1~trusty3) trusty; urgency=low

  * Bumping up the version number for next release

 -- Bernhard F.W.Gschaider <bgschaid@ice-sf.at>  Thu, 21 May 2015 02:11:42 +0200

pyfoam (0.6.4.2062-ppa1~trusty3) trusty; urgency=low

  * Fixing hopefully build dependencies

 -- Oliver Borm <oli.borm@web.de>  Mon, 13 Apr 2015 20:23:47 +0200

pyfoam (0.6.4.2062-ppa1~trusty2) trusty; urgency=low

  * Build for trusty

 -- Oliver Borm <oli.borm@web.de>  Thu, 12 Mar 2015 19:23:47 +0200

pyfoam (0.6.1-release~ppa1~precise1) precise; urgency=low

  * Release for the Stick of the 8th Workshop

 -- Bernhard F.W.Gschaider <bgschaid@bgschaid-VirtualBox>  Fri, 24 May 2013 18:23:47 +0200

pyfoam (0.6.0-release~ppa1~precise1) precise; urgency=low

  * Building a release for testing

 -- Bernhard F.W.Gschaider <bgschaid@bgschaid-VirtualBox>  Sun, 07 Apr 2013 13:23:47 +0200

pyfoam (0.5.7-development1~ppa1~lucid1) lucid; urgency=low

  * Intermediate version for repackaging

 -- Bernhard F.W. Gschaider <bgschaid@ice-sf.at>  Fri, 6 Apr 2012 13:27:24 +0200

pyfoam (0.5.6-development1~ppa1~lucid1) lucid; urgency=low

  * Intermediate version for repackaging

 -- Bernhard F.W. Gschaider <bgschaid@ice-sf.at>  Thu, 28 Apr 2011 13:27:24 +0200

pyfoam (0.5.5~ppa1~lucid2) lucid; urgency=low

  * This version has been released as PyFoam 0.5.5

 -- Bernhard F.W. Gschaider <bgschaid@ice-sf.at>  Tue, 12 Apr 2011 10:37:24 +0200

pyfoam (0.5.5~ppa1~lucid1) lucid; urgency=low

  * Start packaging a new version

 -- bgschaid <bgschaid@ice-sf.at>  Fri, 04 Mar 2011 11:38:01 +0100

pyfoam (0.5.4-1~ppa1~lucid1) lucid; urgency=low

  * Little fixes to make everything work as expected

 --  Bernhard F.W. Gschaider <bgschaid@ice-sf.at>  Wed, 21 Apr 2010 22:19:51 +0200

pyfoam (0.5.4-1~ppa1~lucid1) unreleased; urgency=low

  * Feature complete release for the stick for the OFWS5

 --  Bernhard F.W. Gschaider <bgschaid@ice-sf.at>  Tue, 20 Apr 2010 23:07:11 +0200

=== debian/control ===
Source: pyfoam
Section: python
Priority: extra
Maintainer: Bernhard F.W. Gschaider <bgschaid@ice-sf.at>
Build-Depends: debhelper (>= 7), dh-python, python-dev, python-epydoc, python-numpy, python-vtk, python-matplotlib, python-qt4, gnuplot-x11
Standards-Version: 3.9.5

Package: pyfoam
Architecture: all
Depends: python-numpy, mercurial, python-tk, gnuplot-x11, ${python:Depends}, ${misc:Depends}
Recommends: python-vtk, python-matplotlib, python-qt4, python-pandas, python-xlrd, python-xlwt, ipython, python-scipy
Description: Python library to control OpenFOAM
 This Python library is used to control the OpenSource-CFD
 toolbox OpenFOAM and provides some utilities

=== debian/rules ===
#!/usr/bin/make -f

# DEB_PYTHON_SYSTEM = pycentral

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/class/python-distutils.mk
#
# override_dh_auto_install:
# 	python setup.py install

%:
	dh $@ --with python2 --buildsystem=pybuild
